<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

<xsl:template name="get_lang_string">
<xsl:param name="lang"/>
<xsl:param name="code"/>
<xsl:param name="number"/>
<xsl:param name="value"/>
<xsl:variable name="llang">
	<xsl:choose>
		<xsl:when test="$lang != ''">
			<xsl:value-of select="$lang"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$global_lang"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:choose>
<!-- ======= Chapter Reference ======= -->
<xsl:when test="$code = 'chapter_ref'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->
<!-- ======= Section Reference ======= -->
<xsl:when test="$code = 'sect_ref'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Abstract ======= -->
<xsl:when test="$code = 'abstract'">
<xsl:choose>
		<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
			<xsl:text>Abstract</xsl:text>
		</xsl:when>
		<xsl:when test="$llang='ru'">
			<xsl:text>Аннотация</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>Anotācija</xsl:text>
		</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Content ======= -->
<xsl:when test="$code = 'contents'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Contents</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Оглавление</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Saturs</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= List of Figures ======= -->
<xsl:when test="$code = 'list_of_fugures'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>List of Figures</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Список иллустраций</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Attēlu rādītājs</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Figure ======= -->
<xsl:when test="$code = 'figure'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Figure </xsl:text>
		<xsl:value-of select="$number"/>
		<xsl:text>.</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Рис. </xsl:text>
		<xsl:value-of select="$number"/>
		<xsl:text>.</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<xsl:text>. att.</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======= Figure Reference ======= -->
<xsl:when test="$code = 'figure_ref'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Bibliography ======= -->
<xsl:when test="$code = 'bibliography'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>References</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Список источников</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Literatūra</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'in_proceedings'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>In</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>В сб.:</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Publicēts</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'masterthesis'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Master's thesis</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Магистерская диссертация</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Maģistra darbs</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'phdthesis'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Ph.D. thesis</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Докторская диссертация</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Doktora disertācija</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'and'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>and</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>и</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>un</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'editor'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Ed.</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>ред.</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>red.</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'edition'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$value"/>
		<xsl:text> edition</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$value"/>
		<xsl:text>. издание</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$value"/>
		<xsl:text>. izdevums</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'volumenum'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>vol. </xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Том </xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$value"/>
		<xsl:text>. sēj.</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'issuenum'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>no. </xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>№</xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>Nr.</xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<xsl:when test="$code = 'pagenums'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>p. </xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>с. </xsl:text>
		<xsl:value-of select="$value"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$value"/>
		<xsl:text> lpp</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>

<!-- ======================== -->

<!-- ======= Appendixes ======= -->
<xsl:when test="$code = 'appendixes'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<h1>Приложения</h1>
	</xsl:when>
	<xsl:otherwise>
		<h1>Pielikumi</h1>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Appendix ======= -->
<xsl:when test="$code = 'appendix'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Appendix </xsl:text>
		<xsl:number value="$number" format="A"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Приложение </xsl:text>
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<xsl:text> pielikums</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Appendix TOC ======= -->
<xsl:when test="$code = 'appendix_toc'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Appendix&#160;</xsl:text>
		<xsl:number value="$number" format="A"/>
		<xsl:text>:&#160;&#160;</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Приложение&#160;</xsl:text>
		<xsl:value-of select="$number"/>
		<xsl:text>:&#160;&#160;</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<xsl:text>&#160;pielikums:&#160;&#160;</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Table ======= -->
<xsl:when test="$code = 'table'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Table </xsl:text>
		<xsl:value-of select="$number"/>
		<xsl:text>.</xsl:text>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:text>Таблица </xsl:text>
		<xsl:value-of select="$number"/>
		<xsl:text>.</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<xsl:text>. tabula.</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======= Table Reference ======= -->
<xsl:when test="$code = 'table_ref'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

<!-- ======= Assignment ======= -->
<xsl:when test="$code = 'assignment'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:text>Assignment </xsl:text>
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<xsl:text>. задача</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<xsl:text>. uzdevums</xsl:text>
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======= Assignment Reference ======= -->
<xsl:when test="$code = 'assignment_ref'">
<xsl:choose>
	<xsl:when test="$llang='en' or $llang='en-US' or $llang='en-GB'">
		<xsl:value-of select="$number"/>
	</xsl:when>
	<xsl:when test="$llang='ru'">
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$number"/>
		<!-- <xsl:text>.</xsl:text> -->
	</xsl:otherwise>
</xsl:choose>
</xsl:when>
<!-- ======================== -->

</xsl:choose>

</xsl:template>

</xsl:stylesheet>

